pragma solidity ^0.6.7;

import "https://github.com/smartcontractkit/chainlink/blob/master/evm-contracts/src/v0.6/interfaces/AggregatorV3Interface.sol";

contract PriceConsumerV3 {

    
    function getLatestPrice(address aggregatorAddress) public view returns (int) {
        
        AggregatorV3Interface priceFeed = AggregatorV3Interface(aggregatorAddress);
        
        (
            uint80 roundID, 
            int price,
            uint startedAt,
            uint timeStamp,
            uint80 answeredInRound
        ) = priceFeed.latestRoundData();
        // If the round is not complete yet, timestamp is 0
        require(timeStamp > 0, "Round not complete");
        return price;
    }
    
    function getPrice(address _Aaddress, address _bAddress) public view returns (uint256) {
    uint priceA = uint(getLatestPrice(_Aaddress))
    unit priceB = uint(getLatestPrice(_Baddress))
        return uint((priceA * 10 ** decimals) / priceB);
    }
}
