import {Injectable} from '@angular/core';
import {TranslateService} from '@ngx-translate/core';
import {AuthService} from './core/services/auth/auth.service';
import {TransactionsService} from './core/services/services/transactions.service';

@Injectable({
  providedIn: 'root'
})
export class AppService {

  constructor(
    private translate: TranslateService,
    private transactionsService: TransactionsService,
    private authService: AuthService,
  ) { }

   init() {
    this.authService.init();
    this.translate.setDefaultLang('en');
    this.translate.use('en');
    this.transactionsService.init();
  }
}
