import {Component, OnInit} from '@angular/core';
import {WEB3} from '../../integrations/dictionaries/meta-mask.dictionary';
import {LocalStorageService} from '../../core/services/services/storage.service';
import {AuthService} from '../../core/services/auth/auth.service';
import {computed} from 'mobx-angular';

@Component({
  selector: 'app-header',
  templateUrl: './header.component.html',
  styleUrls: ['./header.component.scss'],
})
export class HeaderComponent implements OnInit  {
    public web3 = window[WEB3];
    public accountAddress: string;
    public applicationName: string;

    constructor(public storageService: LocalStorageService,
                private authService: AuthService)  {}
    ngOnInit() {
        this.accountAddress = this.authService.user?.address;
        this.applicationName = 'offshift';
    }
    @computed get isLogged() {
        return this.authService.isLogged;
    }
}
