import {Injectable} from '@angular/core';
import {action} from 'mobx-angular';

import {StatusModalComponent} from '../modals/status/status-modal.component';
import {MatDialog} from '@angular/material/dialog';

@Injectable({
    providedIn: 'root'
})
export class StatusModalService {

  constructor(
    public dialog: MatDialog,
  ) { }


  @action openStatusModal(data: { hash: string }) {
      setTimeout(() => {
          window.document.body.classList.add('modal-opened');
          return this.dialog
              .open(StatusModalComponent, {
                  width: '350px',
                  panelClass: 'off-shift-modal',
                  backdropClass: 'backdrop-modal',
                  autoFocus: false,
                  data
              }).afterClosed().subscribe((res) => {
                  this.deleteModalClass();
              });
      }, 500 );

  }

  deleteModalClass() {
    window.document.body.classList.remove('modal-opened');
  }
}
